Personal tools
You are here: Home Framework Plugins

Framework Plugins allow developers to rapidly create data entry applications from within their favorite IDE. By creating a model of the data within a Java class, developers can more easily build and deploy applications to run on Oracle database to users within the Intranet or across the Internet.


Download the Oracle JDevelper Plugin here

Download the Eclipse Plugin here

Certification Matrix

Framework 3.0
The following operating system and IDEs have been certified to work with the plugin for Framework 3.0. The IDE must be configured to use Java 6.0 that can be downloaded from java.sun.com.

Operating System
Version IDE
Microsoft Windows NT, 2000, XP, Vista
Oracle JDeveloper 11.1.1, Eclipse Europa
Linux Redhat 4
Oracle JDeveloper 11.1.1, Eclipse Europa
Apple
Mac OS X 10.5*
Certification coming soon.

*Java 6 is only supported on OS X 10.5 Leopard.

Framework 2.1
The following operating system and IDEs have been certified to work with the plugin for Framework 3.0. The IDE must be configured to use Java 5.0 that can be downloaded from java.sun.com.

Operating System
Version IDE
Microsoft Windows NT, 2000, XP, Vista
Oracle JDeveloper 10.1.3, Eclipse 3.2
Linux Redhat 4 Oracle JDeveloper 10.1.3, Eclipse 3.2
Apple OS X 10.4 Oracle JDeveloper 10.1.3